# Running the files Tutorial tasks


  1. Compile files
     1. erl -compile *.erl
	 
  2. Compute factorial
     1. Start the Erlang shell
	    * erl
		
     1. Start the mathematical server
	    * genserver:start(smath, smath:init_server(0), fun smath:loop/2).
		
	 2. How to send a message to compute the factorial
	    * mathClient:client_factorial(smath,10).
		
	 3. Making a failing call (wrong Pid for the mathematical server)
	    * mathClient:client_factorial(smaths,10).
		
  3. Run the previous code in a distributed environment
     1. Start the server node
	    * erl -name 'server@IP' -setcookie lecture
		* genserver:start(smath, smath:init_server(0), fun smath:loop/2).
		
	 2. Star a client node
	    * erl -name 'node@IP' -setcookie lecture
		
	 3. Call the server from a client node
	    * mathClient:client_factorial({smath, 'server@IP'},10).
		
	 4. Show a failing call (wrong Pid for the mathematical server)
	    * mathClient:client_factorial({smaths, 'server@IP'},10).

# Notes

* The self() function in the distributed environment encondes the
  machine.
  
 


