-module(mathClient).
-export([client_factorial/2, client_getCount/1]).

client_factorial(Server,N) ->
    case catch(genserver:request(Server,{factorial, N})) of
	{'EXIT', _Reason} -> "It is not possible to reach the server";
	Result -> Result
    end.

client_getCount(Server) ->
    case catch(genserver:request(Server,{get_count})) of
	{'EXIT', _Reason} -> "It is not possible to reach the server";
	Result -> Result
    end.
	    
